# Uses of Enum Class
javafx.concurrent.Worker.State

Packages that use Worker.State
Package
Description
javafx.concurrent
Provides the set of classes for javafx.task.

## Uses of Worker.State in javafx.concurrent

Methods in javafx.concurrent that return Worker.State
Modifier and Type
Method
Description
`final Worker.State`
Service.`getState()`
Gets the value of the `state` property.
`final Worker.State`
Task.`getState()`
Gets the value of the `state` property.
`Worker.State`
Worker.`getState()`
Specifies the current state of this Worker.
`static Worker.State`
Worker.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Worker.State[]`
Worker.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.concurrent that return types with arguments of type Worker.State
Modifier and Type
Method
Description
`final ReadOnlyObjectProperty<Worker.State>`
Service.`stateProperty()`
`final ReadOnlyObjectProperty<Worker.State>`
Task.`stateProperty()`
`ReadOnlyObjectProperty<Worker.State>`
Worker.`stateProperty()`
Gets the ReadOnlyObjectProperty representing the current state.